import React, { Component } from 'react';
import PropTypes from 'prop-types';
import classnames from 'classnames';
import './index.scss';


class CommonContainer extends Component {
  constructor(props) {
    super(props);
  }

  render() {
    const { className } = this.props;
    return (
      <div className={classnames('common-contain',className)} >
        {this.props.children}
        <div className="card-corner" />
      </div>
    );
  }
}

CommonContainer.propTypes = {
  children: PropTypes.node,
  className: PropTypes.string
};

export default CommonContainer;
